# gds-datepicker - React

## Import

```typescript
import { GdsDatepicker } from '@sebgroup/green-core/react'
```

## Usage

Use the component as a React JSX element:

```tsx
<GdsDatepicker>
  {/* content */}
</GdsDatepicker>
```

## Event Handling

Events are handled using React event handler props. Event names are converted from kebab-case to camelCase with an "on" prefix:

| Web Component Event | React Handler Prop | Handler Example |
|---------------------|--------------------|-----------------|
| `change` | `onChange` | `onChange={handler}` |
| `gds-ui-state` | `onGdsUiState` | `onGdsUiState={handler}` |
